Package org.apache.nutch.crawl

## Class NutchWritable

- java.lang.Object
- - org.apache.hadoop.io.GenericWritable
  - - org.apache.nutch.util.GenericWritableConfigurable
    - - org.apache.nutch.crawl.NutchWritable

- All Implemented Interfaces:
    `Configurable`, `Writable`
  Direct Known Subclasses:
    `MetaWrapper`

      public class NutchWritable
      extends GenericWritableConfigurable

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `NutchWritable()` |
    `NutchWritable​(Writable instance)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected Class<? extends Writable>[]` | `getTypes()` |

    - ### Methods inherited from class org.apache.nutch.util.GenericWritableConfigurable

      `getConf, readFields, setConf`

    - ### Methods inherited from class org.apache.hadoop.io.GenericWritable

      `get, set, toString, write`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### NutchWritable

          public NutchWritable()

    - #### NutchWritable

          public NutchWritable​(Writable instance)

  - ### Method Detail

    - #### getTypes

          protected Class<? extends Writable>[] getTypes()

      Specified by:
        `getTypes` in class `GenericWritable`